Name: musicman
Version: 0.11
Release: 1.fc1.k32
Source:    http://avi.alkalay.net/software/musicman/%{name}-%{version}.tar.gz
Group:     Applications/Multimedia
Copyright: LGPL
Vendor: Avi Alkalay <avi@unix.sh>
Packager: Avi Alkalay <avi@unix.sh>
URL: http://musicman.sf.net
#Icon: musicman.png
BuildRoot:   %{_tmppath}/%{name}-%{version}-build
BuildRequires: libjpeg-devel, fam-devel, libart_lgpl-devel
Prefix: /usr
Summary: A Konqueror plugin for music files (MP3, Ogg, Wav) management

%description
A Konqueror plugin that lets you set ID3 in mass, create MP3 CD covers, HTML indexes, organize your music files, etc.

%post
#kbuildsycoca

%postun
#kbuildsycoca

%prep
%setup -n musicman
./configure --prefix=/usr --exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/usr/etc --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib/kde3 --libexecdir=/usr/libexec --localstatedir=/usr/var --sharedstatedir=/usr/com --mandir=/usr/man --infodir=/usr/info $LOCALFLAGS

%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
	numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

# Post make-install ad-hocs for standarization. KDevelop couldn't install in the correct place.
MLIB=$RPM_BUILD_ROOT/usr/lib/kde3
mv $MLIB/libkcm_musicman.so.0.0.0 $MLIB/kcm_musicman.so
# Rename and fix the .la file. Specially in the dlname= and library_names= lines
sed -e 's|libkcm|kcm|g; s|so\.0|so|g' < $MLIB/libkcm_musicman.la > $MLIB/kcm_musicman.la
rm $MLIB/libkcm_musicman*
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk-redhat/Settings/Sound
ln -sf /usr/share/applications/kde-musicman.desktop $RPM_BUILD_ROOT/usr/share/applnk-redhat/Settings/Sound/

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/musicman


%files
%defattr(-,root,root,0755)
/usr/lib/kde3/*
/usr/share/apps/*
/usr/share/locale/*
/usr/share/services/*
/usr/share/applications/*
/usr/share/applnk-redhat/Settings/Sound/*
/usr/share/icons/crystalsvg/16x16/apps/*
/usr/share/icons/crystalsvg/32x32/apps/*

%changelog
* Sun Apr 25 2004 Avi Alkalay <avi@unix.sh> 0.11
- 'kcmshell kde-musicman' now works. Thanks to Boris Schäfer
- Musicman still doesn't appear in Control Center, nor 'kcmshell --list'

* Mon Mar 22 2004 Avi Alkalay <avi@unix.sh> 0.10
- Fixed resize policy in some dialogs
- Option to define encoding for ID3 tags in KControl module
- ID3 genres now work. Thanks to Boris Schaefer
- Index generator creates 2 new formats: CSV and SQL. Thanks to Rainer Lay. 
- Include Makefile in the CD Root Layout, to help user actually burn the CD.
- Compiled on KDE 3.2.1. Musicman works sweetly with TagLib, and all tagging bugs has gone
- TagLib also correctly set ID3v1 in ISO-8859 encoding. My car stereo thanks TagLib developers.
- No success yet with KCM module.

* Sun Dec 03 2003 Avi Alkalay <avi@unix.sh> 0.9
- Long waited KControl module for configuration. In KControl->Sound & Multimedia->Music Manager
- Masstagger opens file-open dialog in current directory
- Finally an icon in the popup menu
- Fixed filename extension normalization
- Added .flac (Free Lossless Audio Compressor) to the list of known extensions
- Folder names can now be normilized too
- Disable some menu items if only folders selected
- Better cover and HTML templates discovery, handling and description with .desktop files
- Templates icons !
- Added some ad-hocs to the RPM spec file to correctly install the KControl module, and meet distro standards
- Added configuration UI screenshot to the website, updated other screenshots

* Sun Nov 16 2003 Avi Alkalay <avi@unix.sh> 0.8.9
- Added long waited OpenOffice.org Writer cover template (OOo.sxw). Check it out!!
- More detailed end user description in the OOo generated cover
- Bugfix: Correctly generate cover files when there is '&' in some songs filename
- Increased robusteness of HTML generation when poor MetaInfo
- Correctly substitute '/' when renaming based on ID3. Defaults to '\'
- Explanation on how to organize files in Alrtist/Album-like subfolders on Custom Rename dialog
- Corrected the size policy of some dialogs. Thanks to Boris Schafer
- Russian translation included, thanks to Nick Shafff
- Icons now installed in correct folder
- Included Debian .deb generation files. Thanks to Boris Schafer
- RPM spec file now include this changelog

* Sun Nov 16 2003 Avi Alkalay <avi@unix.sh> 0.8.8
- Skiped. Wrongly released

* Thu Nov 06 2003 Avi Alkalay <avi@unix.sh> 0.8.7
- Increased robusteness when kfile_mp3 is not available.
- Wont crash, but you'll get less meta info from MP3. If you are puritan, use Ogg.

* Sat Oct 04 2003 Avi Alkalay <avi@unix.sh> 0.8.6
- Removed crash bug when indexing filenames with '?' or '#' chars
- Removed crash bug when exiting konqueror, due to repeated menu destruction
- Removed filelist sorting bug that generated wrong indexes
- Now advanced tagging dialog closes itself
- Started effort for written configuration in ~/.kde/share/config/musicman
- Started KDE Control Module (nothing visible yet)
- Included guitar icon

* Fri Sep 26 2003 Avi Alkalay <avi@unix.sh> 0.8.5
- Now able to rename music files based on the ID3 tags and a layout
- Custom renaming of many files based on a template
- Pretty good advanced ID3 tagging
- Internationalization process started, first in Brazilian Portuguese

* Sun Jul 27 2003 Avi Alkalay <avi@unix.sh> 0.8.3
- Included <math.h> in musicindexgenerator.cpp to clean compile on SuSE
- Set to not show progress dialog in some KIO operations
- Minor updates to .spec and index.html (website) files
- Duplicated images in different templates now symbolic links. Dereferenced when installed
- Swaped buttons in dialogindexerinfo.ui

* Fri Jul 25 2003 Avi Alkalay <avi@unix.sh> 0.8.2
- Worked on installation. Now templates and musicman.desktop are installed
- Switched scandir to QDir with patch provided by Adriaan de Groot
- Added application/x-ogg to musicman.desktop, but tagging still not working because kfile_ogg sucks
- Added audio/wav to musicman.desktop
- Moved all menu items inside one "Music Manager" option
- Included a brazilian protuguese HTML template
- Real generic support for KOffice and OpenOffice cover templates
- First release with RPM spec file for Red Hat 8.0. Need other distros specs.

* Sun Jun 22 2003 Avi Alkalay <avi@unix.sh> 0.8.1
- Moved all not-so-used renaming actions to submenu
- Added filename normalization action

* Sat Jun 21 2003 Avi Alkalay <avi@unix.sh> 0.8
- Complete indexes generation: HTML, KWord & PDF cover, text files

* Fri Jun 20 2003 Avi Alkalay <avi@unix.sh> 0.7
- Complete advanced HTML indexes generation with templates
- Simple music files management: underscore, file info gathering from filename
