/***************************************************************************
                          Customrenamer.cpp  -  description
                             -------------------
    begin                : Thu Sep 25 2003
    copyright            : (C) 2003 by Avi Alkalay
    email                : avi@unix.sh
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "musicfilenamelayout.h"
#include "customrename.h"
#include "customrenamer.h"
#include "musicinfo.h"

#include <klineedit.h>
#include <kio/job.h>
#include <qgroupbox.h>
#include <qpushbutton.h>


CustomRenamer::CustomRenamer(KFileItemList &_fileList, FilenameMiner *_miner, NormalizationParameters *_normalization, QWidget *_parent) {
	parent=_parent;
	fileList=_fileList;
	miner=_miner;
	normalization=_normalization;

	userDialog(parent);
}



CustomRenamer::~CustomRenamer() {
	delete renameDialog;
}




/** Wrapper for the destructor as a slot */
void CustomRenamer::finish(){
	delete this;
}




/** Starts the renaming engine after the user clicked the "OK" button */
void CustomRenamer::accept(){
	KFileItem *file;
	MusicFilenameLayout customLayout("custom",renameDialog->iTemplate->text());

	for (file=fileList.first();file;file=fileList.next()) {
		KURL before=file->url();
		KURL after(before);
		MusicInfo minfo(*file); // Gets info from ID3 tags
		QString filename;

		filename=customLayout.getNewFilename(minfo,*normalization);
//		kdDebug(0) << "Index: " << idx << endl << "Template: " << filename << endl;

		after.setFileName(filename);

		KIO::rename(before,after,false);
	}
}





/** Responsible for making the dialog appear */
void CustomRenamer::userDialog(QWidget *parent) {
	QString title;
	
	// Create it
	renameDialog=new CustomRenameDialog(parent);

	// Connect dialog results to some actions
	connect(renameDialog->ok,SIGNAL(clicked()),SLOT(accept()));
	connect(renameDialog->cancel,SIGNAL(clicked()),SLOT(finish()));


	title=renameDialog->groupRename->title().arg(fileList.count());
	renameDialog->groupRename->setTitle(title);

	// Make the dialog appear
	renameDialog->exec();
}
