/***************************************************************************
                          masstagger.h  -  description
                             -------------------
    begin                : Mon Sep 22 2003
    copyright            : (C) 2003 by Avi Alkalay
    email                : avi@unix.sh
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MASSTAGGER_H
#define MASSTAGGER_H

#include <qobject.h>
#include <kfileitem.h>

#include "musicfilenamelayout.h"

class MassTaggerDialog;




/**Implements the business logic behind the MassTaggerDialog.
  *@author Avi Alkalay
  */

class MassTagger : public QObject  {
	Q_OBJECT
public: 
	~MassTagger();
	MassTagger(KFileItemList &_fileList, FilenameMiner *_miner=0L, QWidget *_parent=0L);
  /** Write property of FilenameMiner * miner. */
  virtual void setMiner( FilenameMiner * _newVal);
private:
	/** The dialog to ask user some questions regarding how to set ID3 in mass. */
	MassTaggerDialog * massTaggerDialog;

	/** Responsible for making the dialog appear */
	void userDialog();
	/** Returns the MusicInfo object based on the user input from the dialog. Unchecked items in the dialog will make empty fields in the MusicInfo object. */
	MusicInfo musicInfoFromDialog();
	/** Remove the values that the user don't want guessed from the filename. */
	void cleanFromFilename(MusicInfo &musicInfo);


	QWidget * parent;
	KFileItemList fileList;
	FilenameMiner * miner;

public slots:
	/** Called when the user click OK in the dialog. Actually execute all */
	void accept();
  /** A wrapper to the destructor in the form of a slot. */
  void finish();
private slots: // Private slots
  /** Called when user chooses to copy ID3 tags from other file. Fills the dialog with the values encontered. */
  void getTemplateFile();
};

#endif
