/***************************************************************************
                          normalizationparameters.cpp  -  description
                             -------------------
    begin                : Mon Oct 27 2003
    copyright            : (C) 2003 by Avi Alkalay
    email                : avi@unix.sh
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "normalizationparameters.h"

#include <kconfig.h>
#include <kconfigbase.h> 


/** Read parameters from the passed configuration object */
void NormalizationParameters::readConfig(KConfig *config){
	KConfigGroupSaver saver(config,"Filename Layout");
	useUnderline=config->readBoolEntry("preferUnderline",true);
	uppercaseFirst=config->readBoolEntry("uppercaseFirst",true);
	digitsForTrack=config->readNumEntry("digitsForTrack",2);
	extensionType=config->readNumEntry("extensionType",extPlain);
	slashReplace=config->readEntry("slashReplace","\\");
}



/** Write current parameters to the passed configuration object */
void NormalizationParameters::writeConfig(KConfig *config){
	KConfigGroupSaver saver(config,"Filename Layout");
	config->writeEntry("preferUnderline",useUnderline);
	config->writeEntry("uppercaseFirst",uppercaseFirst);
	config->writeEntry("digitsForTrack",digitsForTrack);
	config->writeEntry("extensionType",extensionType);
	config->writeEntry("slashReplace",slashReplace);
}



NormalizationParameters::NormalizationParameters(KConfig *config) {
	readConfig(config);
}


NormalizationParameters::NormalizationParameters(){
	useUnderline=true;
	uppercaseFirst=true;
	digitsForTrack=2;
	extensionType=extPlain;
}
