/***************************************************************************
                          normalizationparameters.h  -  description
                             -------------------
    begin                : Mon Oct 27 2003
    copyright            : (C) 2003 by Avi Alkalay
    email                : avi@unix.sh
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef NORMALIZATIONPARAMETERS_H
#define NORMALIZATIONPARAMETERS_H

#include <qstring.h>
class KConfig;

 
class NormalizationParameters {
	public:
		enum ExtensionTypes {
			extPlain=0,
			extUpperFirst,
			extUpperAll
		};
		NormalizationParameters();
		NormalizationParameters(KConfig *config);
			/** Whether the user prefers underline in place of spaces in filenames */
		bool useUnderline;
		/** Whether the user prefers the first letter of each word uppercased*/
		bool uppercaseFirst;
		/** Set how the extension should look like: mp3, MP3 or Mp3 */
		int extensionType;
		/** Number of digits for a track. 2 will make 01 02 10 11 99. 3 will make 001 002 003 150.
		1 will make 1 2 3 99 100 150.*/
		int digitsForTrack;

		/** Replace '/' to slashReplace, when renaming filename from ID3. */
		QString slashReplace;

		/** Write current parameters to the passed configuration object */
		void writeConfig(KConfig *config);
		/** Read parameters from the passed configuration object */
		void readConfig(KConfig *config);
};

#endif
