
##############################################################################
##
## Type `make help` for usage instructions
##
## Part of Musicman Konqueror Plugin (http://musicman.sf.net/)
## Copyright 2004 Avi Alkalay <x@y.net> where x=avi, y=unix
## March 2004
## Made in Brazil
##
##############################################################################




.SILENT :

speed=4
dev=0,0,0

help:
	echo 'Use this Makefile to burn your CD very easilly.'
	echo 'This is part of http://musicman.sf.net/'
	echo
	echo 'Usage:'
	echo '	$ make volname="My CD" dev=0,0,0 speed=4    burn'
	echo '	$ make isofile=../mycd.img volname="My CD"  iso'
	echo '	$ make dev=0,0,0                            blank'
	echo ''
	echo 'Default targets are:'
	echo ''
	echo '	burn     Generate the CD image and burn it on the fly'
	echo '	iso      Create only the ISO9660 file with Joliet extensions'
	echo '	blank    Blanks a CD-RW CD'
	echo ''
	echo 'Accepted options are:'
	echo ''
	echo '	volname  Passed to mkisofs as the CD name'
	echo '	speed    The speed that cdrecord will burn the media'
	echo '	dev      The SCSI device that cdrecord will write'
	echo '	isofile  The filename that mkisofs will generate.'
	echo '	         If not passed, defaults to ../<dirname>.img'
	


iso:
	if [ -z "${volname}" ]; then \
		VOLNAME=`basename \`pwd\``; \
		VOLNAME=`echo $$VOLNAME | sed -e 's/_/ /g'`; \
	else \
		VOLNAME=${volname}; \
	fi; \
	if [ -z "${isofile}" ]; then \
		ISOFILE=../`basename \`pwd\``.img; \
	else \
		ISOFILE=${isofile}; \
	fi; \
	mkisofs -J -V "$$VOLNAME" -o "$$ISOFILE" .




burn:
	if [ -z "${volname}" ]; then \
		VOLNAME=`basename \`pwd\``; \
		VOLNAME=`echo $$VOLNAME | sed -e 's/_/ /g'`; \
	else \
		VOLNAME=${volname}; \
	fi; \
	if [ -z "${speed}" ]; then \
		SPEED=4; \
	else \
		SPEED=${speed}; \
	fi
	if [ -z "${dev}" ]; then \
		DEV=0,0,0; \
	else \
		DEV=${dev}; \
	fi; \
	mkisofs -J -V "$$VOLNAME" . | cdrecord dev=$$DEV speed=$$SPEED



blank:
	if [ -z "${dev}" ]; then \
		DEV=0,0,0; \
	else \
		DEV=${dev}; \
	fi; \
	cdrecord dev=$$DEV blank=fast

	
